Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.servlet
Class JSPServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.JSPServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public class JSPServlet
extends HttpServlet

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `DEFAULT_PACKAGE_PREFIX`
`static String` | `DEFAULT_PAGE_NAME`
`static Constructor` | `JSP_STUB`
`protected weblogic.servlet.jsp.JspConfig` | `jspConfig`
`protected weblogic.servlet.internal.WebAppServletContext` | `ourContext`

Constructor Summary
`JSPServlet()`

Method Summary
`weblogic.servlet.jsp.JspStub` | `getNewJspStub(String uri, String className, Map initArgs, weblogic.servlet.internal.WebAppServletContext ourContext, weblogic.servlet.jsp.JspConfig jspConfig)`
`void` | `init(ServletConfig config)`
`void` | `service(HttpServletRequest req, HttpServletResponse rsp)`
`static String` | `uri2classname(String pkgPrefix, String uri)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PACKAGE_PREFIX

    public static final String DEFAULT_PACKAGE_PREFIX

See Also:
  Constant Field Values

### DEFAULT_PAGE_NAME

    public static final String DEFAULT_PAGE_NAME

See Also:
  Constant Field Values

### JSP_STUB

    public static final Constructor JSP_STUB

### jspConfig

    protected weblogic.servlet.jsp.JspConfig jspConfig

### ourContext

    protected weblogic.servlet.internal.WebAppServletContext ourContext

Constructor Detail

### JSPServlet

    public JSPServlet()

Method Detail

### getNewJspStub

    public weblogic.servlet.jsp.JspStub getNewJspStub(String uri,
                                                      String className,
                                                      Map initArgs,
                                                      weblogic.servlet.internal.WebAppServletContext ourContext,
                                                      weblogic.servlet.jsp.JspConfig jspConfig)
                                               throws ServletException

  Throws:
    `ServletException`

### init

    public void init(ServletConfig config)
              throws ServletException

  Throws:
    `ServletException`

### service

    public void service(HttpServletRequest req,
                        HttpServletResponse rsp)
                 throws IOException,
                        ServletException

  Throws:
    `IOException`
    `ServletException`

### uri2classname

    public static String uri2classname(String pkgPrefix,
                                       String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD